@charset 'UTF-8';

/* Basic setup */

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;600;700&family=Roboto+Mono:wght@300&display=swap');

* {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	-o-box-sizing: border-box;
	box-sizing: border-box;
}

html, body {
	width: 100%;
	height: 100%;
	margin: 0;
}

body, input, textarea {
	font-family: 'Open Sans', sans-serif;
	line-height: 1.85em;
	color: #666;
	font-weight: 300;
}

h1, h2, h3, h4, h5, h6 {
	color: #3e3e3e;
	font-weight: 300;
}

h1, h2 {
	text-align: center;
}

/* Content layout and customisation */

body {
	display: grid;
	grid-template-rows: 100%;
	justify-items: center;
	background-color: #222222ff;
}

#textContainer {
	display: grid;
	grid-template-rows: minmax(0, 1fr) auto;
	width: clamp(50ch, 50%, 100ch);
	height: 100%;
	max-height: 100%;
	font-family: 'Roboto Mono', monospace;
	font-size: 13px;
	line-height: 16px;
	white-space: pre;
	color: white;
	background-color: #35363aff;
}

#history {
	padding: 12px 3px;
	border-left: 1px solid #222222ff;
	border-right: 1px solid #222222ff;
	max-height: 100%;
	overflow: scroll;
}

#input {
	padding: 12px 3px;
	border-top: 1px solid #222222ff;
	border-left: 1px solid #222222ff;
	border-right: 1px solid #222222ff;
	overflow-x: scroll;
}
